<template>
  <div class="mt-focus-warning">
    <mt-message-info><slot name="message"></slot></mt-message-info>
    <slot></slot>
  </div>
</template>

<script>
import MtMessageInfo from '~/components/base/message/mt-message-info';

export default {
  name: 'MtFocusWarning',
  components: { MtMessageInfo },
};
</script>

<style scoped lang="scss">
@import '~/assets/css/_variables';
.mt-focus-warning /deep/ .mt-info {
  display: none;
}
.mt-focus-warning:focus-within /deep/ .mt-info {
  display: flex;
  margin-bottom: 0.25em;
}
</style>
